<?php require APPROOT . '/views/inc/header.php'; ?>
<div class="container">

    <div class="jumbotron jumbotron-flud text-center bg-light rounded">
        <div class="container col-md-12 text-center  ">
            <h1 class="display-3">Webcam Test</h1>
            <p class="lead">This is the easiest way to check your webcam .</p>
            <div class="row">
                <div class="col"></div>
                <div class="col-lg-6 col-md-12  text-center mb-2 border bg-dark rounded shadow">roll
                    <video autoplay="false" playsinline style="width:100%" id="videoElement">

                    </video>
                </div>
                <div class="col"></div>
            </div>
            <div class="row">
                <div class="col"></div>
                <div class="col-lg-6 col-md-12 alert alert-primary d-flex text-start shadow" role="alert">
                    <i class="bi bi-exclamation-triangle-fill"></i>
                    <div>
                        We will never receive sound or video from your webcam, and everything you see in the image will happen on your device and will not be sent to our server.
                    </div>

                </div>
                <div class="col"></div>
            </div>
            <div class="col-md-12 text-center mb-3">
                <button type="button" class="btn btn-primary" onclick="startcamera()"><i class="bi bi-play-circle-fill p-1"></i>Start Webcam Test</button>
                <button type="button" class="btn btn-danger" onclick="stopcamera()"><i class="bi bi-stop-circle-fill p-1"></i>Stop Test</button>
            </div>
            <div class="row text-start text-justify">
                <div class="col-md-7">
                    <div class="h-100 p-5 bg-light border rounded-3">
                        <h2>How to test the webcam?</h2>
                        <p>Not sure if your webcam is working properly? Follow the steps below to make sure it is working. <br>

                            <strong> Step 1.</strong> Make sure your webcam is turned on and connected to the computer.
                            <br>
                            <strong> Step 2.</strong> Click the start button above to start the test.
                            <br>
                            <strong> Step 3.</strong> Your browser will ask you to allow it to access the webcam, click <strong>Allow</strong>.
                            <br>
                            <strong> Step 4.</strong> Now you should be able to see your webcam video live.
                            <br>
                            If you can see the webcam image, then your webcam is working properly.
                            <br>
                            <!-- <blockquote class="blockquote">

                            <footer class="blockquote-footer">Important NOTE: We will never receive sound or video from your webcam, and everything you see in the image will happen on your device and will not be sent to our server.</footer>
                        </blockquote> -->

                        </p>
                    </div>
                </div>
                <div class="col-md-5">
                    <div class="h-100 p-5 bg-light border rounded-3">
                        <h2>About IOTUNER.com</h2>
                        <p>
                            This is a free online tool where you can test your webcam through your browser without installing any third party software. You can test your webcam on all devices, including mobile phones, laptops, computers, TVs, etc. through the browser. <br>

                        </p>
                        <!-- <button class="btn btn-outline-secondary" type="button">Example button</button> -->
                    </div>
                </div>
            </div>
            <h2>Solutions for fix a camera or webcam Not Working!</h2>
            <div class="accordion mt-2 text-start" id="accordionExample">
                <div class="accordion-item">
                    <h2 class="accordion-header" id="headingOne">
                        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                            Test your webcam and fix problem in <i class="bi-apple px-1"></i> Mac:
                        </button>
                    </h2>
                    <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                        <div class="accordion-body">

                            <h3>Check webcam access:</h3>
                            1) Go to Apple menu <i class="bi-apple px-1"></i> > System Preferences > Security & Privacy. <br>
                            2) Selecting camera, you will see the list of programs that have access to the webcam. (as shown below)
                            <br>
                            <br>
                            <h3>Check the Screen Time settings:</h3>
                            <p>First, make sure your webcam is turned on, then:<br>
                                1. Go to Apple menu <i class="bi-apple px-1"></i> > System Preferences, then click on Screen Time. <br>
                                2. Click on <code>Content & Privacy</code> and then select the <strong>Apps</strong> tab.<br>
                                3. Here, make sure that the checkbox for the camera is selected.<br>
                                4. Select App Limits in the sidebar and make sure there are no camera usage restrictions.

                            </p>
                            <h3>Update your software</h3>
                            <p>Make sure your software is up to date.</p>
                            <h3>Using command in Terminal:</h3>
                            <p>Sometimes your camera has been used by another application before and not properly exited so that the new application can't use the webcam, for this reson you need to run 2 commands in the terminal. It should be noted that these commands require admin access and may not be usable in some Mac versions.<br>
                                1) Run the terminal<br>
                                <code>Finder > Applications > Utilities > Terminal</code> <br>
                                2) Run the following command<br>
                                <code>sudo killall VDCAssistant</code> <br>
                                3) Run the following command <br>
                                <code>sudo killall AppleCameraAssistant</code>
                            </p>
                            <h3>Restart your mac</h3>
                        </div>
                    </div>
                </div>
                <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                            Webcam test and fix problem in <i class="bi-windows px-1"></i> Windows 10:
                        </button>
                    </h2>
                    <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                            <h3>Check your Antivirus</h3>
                            <p class="mb-3">
                                Antivirus software can sometimes interfere with the webcam. Check your software settings to see if your antivirus is preventing your camera from running.
                            </p>
                            <h3>Automated Troubleshooter</h3>
                            <p class="mb-3">In the Get Help application, you can perform automatic troubleshooting for the webcam, this program will perform various troubleshooting steps and will be successful most of the time.</p>

                            <h3>Updates for the camera</h3>
                            <p class="mb-3">
                                Enter <strong>Check for updates</strong> in the search field.
                                Click <strong>View Optional Updates</strong> and check if a new update has been added for the camera.
                                If it was a new update, update it and then restart Windows.</p>

                            <h3>Check the camera switch</h3>
                            <p class="mb-3">
                                In some laptops, there is a physical key on the side of the laptop to turn off or on the webcam
                                On some other laptops, the camera on/off key may be above the keyboard.
                                Look for a key that has the sign <i class="bi bi-camera-fill"></i>
                            </p>
                            <h3>Give permission to your app</h3>
                            <p class="mb-3">
                                Some programs do not have access to the camera by default and you have to give them access to use the webcam manually. <br>
                                Goto <code>Start > Settings > Privacy > Camera</code> then Allow access to the camera on this device.
                                If camera access is turned off for this device, select Change and turn on camera access for this device.</p>

                            <div class="bd-callout bd-callout-info">
                                <p>If your camera is external, try another USB port.</p>
                            </div>
                            <h3>Check webcam driver</h3>
                            <p class="mb-2">
                                To do this, click <strong>Start <i class="bi bi-windows"></i></strong> and search for <strong>Device Manager</strong> and open it.
                                Find your camera under <strong>Cameras, Imaging devices</strong>. Now, if the driver is not installed, you can install it, you can even update or uninstall the driver and install it again.</p>

                            <h3>Roll back the camera driver</h3>
                            <p class="mb-2">By rolling back you can restore the previous driver, this sometimes solves the problem.
                            <ol>
                                <li>In <strong>Device Manager</strong>, right click on your camera, then click <strong>Properties.</strong></li>
                                <li>Choose the <strong>Driver</strong> tab, select <strong>Roll Back</strong> Driver,then
                                    <strong>Yes.</strong>
                                </li>
                                <li>After finishing this, restart your computer and open the program again.</li>
                            </ol>
                            </p>
                            <h3>Uninstall camera driver - scan hardware changes</h3>
                            <p class="mb-2">
                            <ol>
                                <li>Go to <strong>Device Manager</strong>, right click on your camera, and then choose <strong>Properties.</strong></li>
                                <li>In the <strong>Driver </strong>tab, then select <strong>Uninstall Device</strong> . Select the check box for Attempt to remove the driver for this device, then click <strong>OK.</strong> </li>
                                <li>In Device Manager, on the Action menu, select <strong>Scan for hardware changes
                                    </strong>.</li>
                                <li>Wait for it to scan and reinstall updated drivers, restart your PC, and then try opening the Camera app again.</li>
                            </ol>
                            </p>
                        </div>
                    </div>
                </div>
                <div class="accordion-item">
                    <h2 class="accordion-header" id="headingThree">
                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                            Test your webcam and fix problem in <i class="bi-microsoft px-1"></i> Windows 7:
                        </button>
                    </h2>
                    <div id="collapseThree" class="accordion-collapse collapse" aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                            <div class="card border-info mb-3">
                                <div class="card-header">Step one: Disable/Enable</div>
                                <div class="card-body text-dark">
                                    <h5 class="card-title">Check if your camera is disabled</h5>
                                    <p class="card-text">Some laptops have built-in keys that are physically used to turn off or turn on the webcam. These keys may be on the side of the laptop or on the keyboard or even as shortcut keys. So our first recommendation is to check the keys of the laptop and make sure that the webcam is not disabled.</p>
                                </div>
                            </div>
                            <div class="card border-info mb-3">
                                <div class="card-header">Step two: Protection</div>
                                <div class="card-body text-dark">
                                    <h5 class="card-title">Check your Antivirus</h5>
                                    <p class="card-text">Some antiviruses not only check the malware in our computer, but also control the granting of software access to the hardware. In other words, it may not grant access to the webcam to the software you are using, and for this you should check the settings of your antivirus, or a simpler way is to disable your antivirus temporarily. Activate and test your software again and check if the webcam is working or not.</p>
                                </div>
                            </div>
                            <div class="card border-info mb-3">
                                <div class="card-header">Step three: Changing</div>
                                <div class="card-body text-dark">
                                    <h5 class="card-title">Change USB ports or cable or use another computer</h5>
                                    <p class="card-text"><strong>This step is for those who have an external webcam, if you have problems with the laptop webcam, skip this step and go to the next step.</strong> <br>
                                        If your computer has multiple USB ports, use another port and see if the webcam is recognized by the operating system and works. Some webcams have the ability to replace the usb cable, so if you have another cable available, use another cable and test again. Finally, if you have another computer, you can use another computer to test to make sure that the webcam is healthy or not.</p>
                                </div>
                            </div>
                            <div class="card border-info mb-3">
                                <div class="card-header">Step four: Driver</div>
                                <div class="card-body text-dark">
                                    <h5 class="card-title">Fix webcam driver in Device manager</h5>
                                    <p class="card-text">All hardware components are listed in <strong>Device Manager</strong>. Find your webcam in this list and make sure that both the driver is installed and the device is active. If the driver is not installed, there is a yellow icon on it.
                                        To go to Device Manager, click on <strong>Start</strong> and type <strong>Device Manager</strong>, then open <strong>Imaging Devices</strong> and find your webcam. If the driver is not installed, install it, and if you see a <i class="bi bi-arrow-down-circle p-2"></i>downward arrow next to its icon, that means the webcam is disabled, then right-click on it and <strong>Activate</strong> it.
                                        There are other facilities in this section that you can use if the above does not help. For example, <strong>Roll back driver</strong> allows you to go back to the previously installed driver and maybe this will solve the problem. You can even <strong>uninstall</strong> the driver and reinstall it.</p>
                                </div>
                            </div>
                            <div class="card border-info mb-3">
                                <div class="card-header">Step five: Original Driver</div>
                                <div class="card-body text-dark">
                                    <h5 class="card-title">Re-install the driver from original resources (webcam or laptop manufacture)</h5>
                                    <p class="card-text">Go to the laptop manufacturer's website and search for the laptop model, check in the Updates section that you are using the latest version of that driver, you can do the same with your external webcam and go to the webcam manufacturer's website.
                                        If you used a different version of the driver, we suggest that you delete the driver completely and be sure to get the latest version from the original company.
                                    </p>
                                </div>
                            </div>
                            <div class="card border-info mb-3">
                                <div class="card-header">Step six: Other Applications</div>
                                <div class="card-body text-dark">
                                    <h5 class="card-title">Check if specific application is using your webcam</h5>
                                    <p class="card-text">Some applications or browsers may be using your webcam, for this purpose, close all of them and if necessary, restart the computer and after the restart, open your program first and check if the problem is solved. Is it fixed or not? You can even close additional programs in <strong>Task Manager</strong> that may have access to the webcam.
                                    </p>
                                </div>
                            </div>
                            <div class="card border-info mb-3">
                                <div class="card-header">Step seven: Troubleshooter</div>
                                <div class="card-body text-dark">
                                    <h5 class="card-title">Check if specific application is using your webcam</h5>
                                    <p class="card-text">All windows have automatic troubleshooting that can solve the problem in some cases.
                                        To run it, go to <strong> Control Panel\All Control Panel Items\Troubleshooting\Hardware and Sound </strong>
                                        Go and select Hardware and Device. Click Next and wait, it will show you if there is a problem. Then click <strong> Yes</strong>, do this automatically and after a few moments you will see the result. If the problem is solved, the status will show as <strong>FIXED</strong>.
                                    </p>
                                </div>
                            </div>


                        </div>
                    </div>
                </div>
                <div class="accordion-item">
                    <h2 class="accordion-header" id="headingFour">
                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseFour" aria-expanded="false" aria-controls="collapseFour">
                            Test your webcam and fix problem in <i class="bi bi-ubuntu px-1"></i> Linux:
                        </button>
                    </h2>
                    <div id="collapseFour" class="accordion-collapse collapse" aria-labelledby="headingFour" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                            <p>
                                The cheese application is a default application in all versions of <strong>ubuntu</strong>, open it and if you see a black screen instead of an image, just go to the preferences section and change the Photo Resolution and then return it to the desired number.
                                If you do not use cheese, we suggest you to install <strong>luvcview</strong> and <strong>guvcview</strong>. Use the following commands:

                            </p>
                            <p>
                                <code>sudo apt-get install luvcview <br>
                                    sudo apt-get install guvcview
                                </code>
                            </p>
                            <p>

                                Then install <strong>fswebcam</strong>
                                Now you can run the software and set up your webcam with the following commands: <br>
                                <code>$ guvcview
                                    <br>
                                    $ luvcview
                                </code>
                            </p>
                            <p>
                                If the above methods do not help, run the following command to see if the webcam is detected as a USB connected device.
                                <br>
                                <code>$ lsusb</code>
                            </p>
                            <P class="bd-callout bd-callout-info">
                                If this command did not help you and you need to get more information about the devices connected to USB, use the <strong>dmesg</strong> command and you can also use the <strong>usb-devices</strong> command.
                            </P>
                        </div>
                    </div>
                </div>

            </div>
            <div class="row align-items-center mb-5">





                <div class="row mb-2">


                    <div class="col-12 p-5">
                        This page will be updated, please let us know if you have any comments or suggestions.
                    </div>
                </div>
            </div>

        </div>
    </div>

</div>



<script>
    function startcamera() {
        var video = document.querySelector("#videoElement");

        if (navigator.mediaDevices.getUserMedia) {
            navigator.mediaDevices.getUserMedia({
                    video: true
                })
                .then(function(stream) {
                    video.srcObject = stream;
                })
                .catch(function(err0r) {
                    console.log("Something went wrong!");
                });
        }

    }

    function stopcamera() {
        var video = document.querySelector("#videoElement");

        video.srcObject.getTracks().forEach(track => track.stop());
    }
</script>
<?php require APPROOT . '/views/inc/footer.php'; ?>