<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="robots" content="follow, index, max-snippet:-1, max-video-preview:-1, max-image-preview:large" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="stylesheet" href="<?php echo URLROOT; ?>/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css">
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
  <link rel="stylesheet" href="<?php echo URLROOT; ?>/css/style.css">
  <link rel="stylesheet" href="<?php echo URLROOT; ?>/css/custom.css">
  <script src="<?php echo URLROOT; ?>/js/ckeditor.js"></script>
  <script src="<?php echo URLROOT; ?>/ckfinder/ckfinder.js"></script>
  <title><?php echo $data['title'];  ?></title>
  <meta name="description" content="<?php echo $data['description'];  ?>" />
  <link rel="canonical" href="<?php echo URLROOT . '/' . $_GET['url']; ?>" />
  <meta property="og:locale" content="en_US" />
  <meta property="og:type" content="article" />
  <meta property="og:site_name" content="IoTuner" />
  <meta property="og:title" content="<?php echo $data['title'];  ?>" />
  <meta property="og:description" content="<?php echo $data['description'];  ?>" />
  <meta property="og:url" content="<?php echo URLROOT . '/' . $_GET['url']; ?>" />
  <meta property="og:updated_time" content="<?php echo $data['updated_time'];  ?>" />
  <meta property="og:image" content="<?php echo URLROOT . '/public/img/' . $data['image'];  ?>" />
  <meta property="og:image:secure_url" content="<?php echo URLROOT . '/public/img/' . $data['image'];  ?>" />
  <meta property="og:image:width" content="<?php echo $data['image-w'];  ?>" />
  <meta property="og:image:height" content="<?php echo $data['image-h'];  ?>" />
  <meta property="og:image:alt" content="<?php echo $data['image-alt'];  ?>" />
  <meta property="og:image:type" content="<?php echo $data['image-type'];  ?>" />
  <meta name="twitter:card" content="<?php echo $data['t-card'];  ?>" />
  <meta name="twitter:title" content="<?php echo $data['title'];  ?>" />
  <meta name="twitter:description" content="<?php echo $data['description'];  ?>" />
  <meta name="twitter:image" content="<?php echo URLROOT . '/public/img/' . $data['image'];  ?>" />


</head>

<body>
  <?php require APPROOT . '/views/inc/navbar.php'; ?>
  <div class="container">