</div>
<div class="container">
    <footer class="d-flex flex-wrap justify-content-between align-items-center py-3 my-4 border-top">
        <p class="col-md-4 mb-0 text-muted">© 2022 IOTUNER, Inc</p>

        <a href="/" class="col-md-4 d-flex align-items-center justify-content-center mb-3 mb-md-0 me-md-auto link-dark text-decoration-none">
            <i class="bi bi-speedometer fs-1"></i>
        </a>

        <ul class="nav col-md-4 justify-content-end">
            <li class="nav-item"><a href="<?php echo URLROOT; ?>" class="nav-link px-2 text-muted">Home</a></li>
            <li class="nav-item"><a href="<?php echo URLROOT; ?>/pages/privacy" class="nav-link px-2 text-muted">Privacy</a></li>
            <li class="nav-item"><a href="<?php echo URLROOT; ?>/pages/about" class="nav-link px-2 text-muted">About</a></li>
        </ul>
    </footer>
</div>

<div id="privacyAlert" class="sticky-bottom">
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        <span> By continuing to use our site, you agree to our Terms of Service and Privacy Policy. You can read our <a target="_blank" href="<?php echo URLROOT; ?>/privacy">Privacy Policy</a></span>
        <button type="button" class="btn btn-success" style="position: absolute;
top: 7px;
right: 5px;
z-index: 2;
padding: 0.5rem 0.5rem;" data-bs-dismiss="alert" aria-label="Close" onclick="setCookie('isokprivacy','true')">OK</button>
    </div>
</div>

<script>
    function setCookie(cookName, status) {
        document.cookie = `${cookName}=${status}`;

    }
</script>
<script>
    let stateOfCookie = document.cookie.indexOf('isokprivacy');
    if (stateOfCookie !== -1) {
        document.getElementById("privacyAlert").classList.add("d-none");
    }
</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
<script src="<?php echo URLROOT; ?>/js/main.js"></script>
<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-VSLTNH191H"></script>
<script>
    window.dataLayer = window.dataLayer || [];

    function gtag() {
        dataLayer.push(arguments);
    }
    gtag('js', new Date());

    gtag('config', 'G-VSLTNH191H');
</script>

</body>

</html>